winecfg dies when clicking the "Audio" tab

Bug #42169 reported by tim_o on 2006-04-30
18
Affects Status Importance Assigned to Milestone
wine (Ubuntu)
Medium
Stephan Rügamer

Bug Description

When I click the "Audio" tab in wine, I get the following error:

ALSA lib seq_hw.c:455:(snd_seq_hw_open) open /dev/snd/seq failed: No such file or directory
Creating link /home/tim/.kde/socket-acme.
can't create mcop directory

==============

lspci:

0000:00:00.0 Host bridge: ATI Technologies Inc Radeon 9100 IGP Host Bridge (rev 02)
0000:00:01.0 PCI bridge: ATI Technologies Inc Radeon 9100 IGP AGP Bridge
0000:00:13.0 USB Controller: ATI Technologies Inc OHCI USB Controller #1 (rev 01)
0000:00:13.1 USB Controller: ATI Technologies Inc OHCI USB Controller #2 (rev 01)
0000:00:13.2 USB Controller: ATI Technologies Inc EHCI USB Controller (rev 01)
0000:00:14.0 SMBus: ATI Technologies Inc ATI SMBus (rev 17)
0000:00:14.1 IDE interface: ATI Technologies Inc ATI Dual Channel Bus Master PCI IDE Controller
0000:00:14.3 ISA bridge: ATI Technologies Inc: Unknown device 434c
0000:00:14.4 PCI bridge: ATI Technologies Inc: Unknown device 4342
0000:00:14.5 Multimedia audio controller: ATI Technologies Inc IXP150 AC'97 Audio Controller
0000:01:05.0 VGA compatible controller: ATI Technologies Inc Radeon 9100 IGP
0000:02:05.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ (rev 10)
0000:02:06.0 FireWire (IEEE 1394): VIA Technologies, Inc. IEEE 1394 Host Controller (rev 80)

=================

lsmod:
Module Size Used by
radeon 113088 1
drm 77972 2 radeon
speedstep_lib 4580 0
cpufreq_userspace 6496 0
cpufreq_stats 6688 0
freq_table 4928 1 cpufreq_stats
cpufreq_powersave 1920 0
cpufreq_ondemand 7752 0
cpufreq_conservative 9000 0
video 16324 0
tc1100_wmi 6884 0
sony_acpi 5516 0
pcc_acpi 12416 0
hotkey 11492 0
dev_acpi 11236 0
container 4608 0
button 6704 0
acpi_sbs 20172 0
battery 9988 1 acpi_sbs
ac 5220 1 acpi_sbs
i2c_acpi_ec 5120 1 acpi_sbs
i2c_core 22848 1 i2c_acpi_ec
dm_mod 63256 1
ipv6 286912 20
tsdev 8032 0
8139cp 24032 0
8139too 29056 0
mii 6176 2 8139cp,8139too
snd_atiixp 21324 1
snd_ac97_codec 99808 1 snd_atiixp
snd_ac97_bus 2400 1 snd_ac97_codec
snd_pcm_oss 56448 0
snd_mixer_oss 20544 1 snd_pcm_oss
snd_pcm 96644 3 snd_atiixp,snd_ac97_codec,snd_pcm_oss
snd_timer 26884 1 snd_pcm
snd 60004 8 snd_atiixp,snd_ac97_codec,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
soundcore 10784 1 snd
psmouse 40036 0
ohci1394 37524 0
ieee1394 306520 1 ohci1394
snd_page_alloc 11304 2 snd_atiixp,snd_pcm
serio_raw 7748 0
pcspkr 2244 0
rtc 14068 0
usbhid 40992 0
shpchp 49504 0
pci_hotplug 30788 1 shpchp
ati_agp 9740 1
agpgart 36784 2 drm,ati_agp
evdev 10176 1
ext3 148104 1
jbd 65876 1 ext3
ide_generic 1504 0
ehci_hcd 33800 0
ohci_hcd 22724 0
usbcore 137700 4 usbhid,ehci_hcd,ohci_hcd
ide_cd 35780 0
cdrom 41408 1 ide_cd
ide_disk 19200 2
generic 5124 0
atiixp 7152 1
thermal 13768 0
processor 26344 1 thermal
fan 4836 0
capability 4968 0
commoncap 7328 1 capability
vga16fb 13768 1
vgastate 10208 1 vga16fb
fbcon 43904 72
tileblit 2784 1 fbcon
font 8320 1 fbcon
bitblit 6464 1 fbcon
softcursor 2304 1 bitblit

=========================

dmesg:

[4294667.296000] Linux version 2.6.15-21-686 (buildd@rothera) (gcc version 4.0.3 (Ubuntu 4.0.3-1ubuntu5)) #1 SMP PREEMPT Fri Apr 21 16:57:03 UTC 2006
[4294667.296000] BIOS-provided physical RAM map:
[4294667.296000] BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
[4294667.296000] BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
[4294667.296000] BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
[4294667.296000] BIOS-e820: 0000000000100000 - 000000003def0000 (usable)
[4294667.296000] BIOS-e820: 000000003def0000 - 000000003def3000 (ACPI NVS)
[4294667.296000] BIOS-e820: 000000003def3000 - 000000003df00000 (ACPI data)
[4294667.296000] BIOS-e820: 00000000fec00000 - 0000000100000000 (reserved)
[4294667.296000] 94MB HIGHMEM available.
[4294667.296000] 896MB LOWMEM available.
[4294667.296000] found SMP MP-table at 000f4dc0
[4294667.296000] On node 0 totalpages: 253680
[4294667.296000] DMA zone: 4096 pages, LIFO batch:0
[4294667.296000] DMA32 zone: 0 pages, LIFO batch:0
[4294667.296000] Normal zone: 225280 pages, LIFO batch:31
[4294667.296000] HighMem zone: 24304 pages, LIFO batch:3
[4294667.296000] DMI 2.2 present.
[4294667.296000] ATI board detected. Disabling timer routing over 8254.
[4294667.296000] ACPI: RSDP (v000 XPC ) @ 0x000f6880
[4294667.296000] ACPI: RSDT (v001 XPC AWRDACPI 0x42302e31 AWRD 0x00000000) @ 0x3def3000
[4294667.296000] ACPI: FADT (v001 XPC AWRDACPI 0x42302e31 AWRD 0x00000000) @ 0x3def3040
[4294667.296000] ACPI: MADT (v001 XPC AWRDACPI 0x42302e31 AWRD 0x00000000) @ 0x3def6240
[4294667.296000] ACPI: DSDT (v001 XPC ST62 0x00001000 MSFT 0x0100000e) @ 0x00000000
[4294667.296000] ACPI: PM-Timer IO Port: 0x4008
[4294667.296000] ACPI: Local APIC address 0xfee00000
[4294667.296000] ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
[4294667.296000] Processor #0 15:2 APIC version 20
[4294667.296000] ACPI: LAPIC (acpi_id[0x01] lapic_id[0x01] disabled)
[4294667.296000] ACPI: LAPIC_NMI (acpi_id[0x00] high edge lint[0x1])
[4294667.296000] ACPI: LAPIC_NMI (acpi_id[0x01] high edge lint[0x1])
[4294667.296000] ACPI: IOAPIC (id[0x02] address[0xfec00000] gsi_base[0])
[4294667.296000] IOAPIC[0]: apic_id 2, version 17, address 0xfec00000, GSI 0-23
[4294667.296000] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
[4294667.296000] ACPI: BIOS IRQ0 pin2 override ignored.
[4294667.296000] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 21 low level)
[4294667.296000] Enabling APIC mode: Flat. Using 1 I/O APICs
[4294667.296000] Using ACPI (MADT) for SMP configuration information
[4294667.296000] Allocating PCI resources starting at 40000000 (gap: 3df00000:c0d00000)
[4294667.296000] Built 1 zonelists
[4294667.296000] Kernel command line: root=/dev/hda1 ro quiet splash
[4294667.296000] mapped APIC to ffffd000 (fee00000)
[4294667.296000] mapped IOAPIC to ffffc000 (fec00000)
[4294667.296000] Initializing CPU#0
[4294667.296000] PID hash table entries: 4096 (order: 12, 65536 bytes)
[4294667.296000] Detected 2528.227 MHz processor.
[4294667.296000] Using pmtmr for high-res timesource
[4294667.296000] Console: colour VGA+ 80x25
[4294669.100000] Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
[4294669.100000] Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
[4294669.134000] Memory: 994048k/1014720k available (2092k kernel code, 20068k reserved, 589k data, 332k init, 97216k highmem)
[4294669.134000] Checking if this processor honours the WP bit even in supervisor mode... Ok.
[4294669.194000] Calibrating delay using timer specific routine.. 5057.37 BogoMIPS (lpj=2528686)
[4294669.194000] Security Framework v1.0.0 initialized
[4294669.194000] SELinux: Disabled at boot.
[4294669.194000] Mount-cache hash table entries: 512
[4294669.194000] CPU: After generic identify, caps: bfebfbff 00000000 00000000 00000000 00004400 00000000 00000000
[4294669.194000] CPU: After vendor identify, caps: bfebfbff 00000000 00000000 00000000 00004400 00000000 00000000
[4294669.194000] CPU: Trace cache: 12K uops, L1 D cache: 8K
[4294669.194000] CPU: L2 cache: 512K
[4294669.194000] CPU: Hyper-Threading is disabled
[4294669.194000] CPU: After all inits, caps: bfebfbff 00000000 00000000 00000080 00004400 00000000 00000000
[4294669.194000] mtrr: v2.0 (20020519)
[4294669.194000] Enabling fast FPU save and restore... done.
[4294669.194000] Enabling unmasked SIMD FPU exception support... done.
[4294669.194000] Checking 'hlt' instruction... OK.
[4294669.198000] SMP alternatives: switching to UP code
[4294669.198000] checking if image is initramfs... it is
[4294669.702000] Freeing initrd memory: 6579k freed
[4294669.719000] ACPI: Looking for DSDT ... not found!
[4294669.807000] CPU0: Intel(R) Pentium(R) 4 CPU 2.53GHz stepping 07
[4294669.807000] Total of 1 processors activated (5057.37 BogoMIPS).
[4294669.807000] ENABLING IO-APIC IRQs
[4294669.808000] ..TIMER: vector=0x31 apic1=0 pin1=0 apic2=-1 pin2=-1
[4294669.919000] Brought up 1 CPUs
[4294669.919000] NET: Registered protocol family 16
[4294669.919000] EISA bus registered
[4294669.919000] ACPI: bus type pci registered
[4294669.932000] PCI: PCI BIOS revision 2.10 entry at 0xfae60, last bus=2
[4294669.932000] PCI: Using configuration type 1
[4294669.932000] ACPI: Subsystem revision 20051216
[4294669.941000] ACPI: Interpreter enabled
[4294669.941000] ACPI: Using IOAPIC for interrupt routing
[4294669.942000] ACPI: PCI Root Bridge [PCI0] (0000:00)
[4294669.942000] PCI: Probing PCI hardware (bus 00)
[4294669.942000] ACPI: Assume root bridge [\_SB_.PCI0] bus is 0
[4294669.943000] PCI: Ignoring BAR0-3 of IDE controller 0000:00:14.1
[4294669.944000] Boot video device is 0000:01:05.0
[4294669.944000] PCI: Transparent bridge - 0000:00:14.4
[4294669.944000] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
[4294669.958000] ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6 7 10 11) *0, disabled.
[4294669.958000] ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 7 10 11) *0, disabled.
[4294669.959000] ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 6 7 10 11) *0, disabled.
[4294669.959000] ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 6 7 10 11) *0, disabled.
[4294669.959000] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P2P_._PRT]
[4294669.961000] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.AGP_._PRT]
[4294669.961000] Linux Plug and Play Support v0.97 (c) Adam Belay
[4294669.961000] pnp: PnP ACPI init
[4294669.963000] pnp: PnP ACPI: found 8 devices
[4294669.963000] PnPBIOS: Disabled by ACPI PNP
[4294669.963000] PCI: Using ACPI for IRQ routing
[4294669.963000] PCI: If a device doesn't work, try "pci=routeirq". If it helps, post a report
[4294669.976000] pnp: 00:01: ioport range 0x228-0x22f has been reserved
[4294669.976000] pnp: 00:01: ioport range 0x40b-0x40b has been reserved
[4294669.976000] pnp: 00:01: ioport range 0x4d6-0x4d6 has been reserved
[4294669.976000] pnp: 00:01: ioport range 0xc00-0xc01 has been reserved
[4294669.976000] pnp: 00:01: ioport range 0xc14-0xc14 has been reserved
[4294669.976000] pnp: 00:01: ioport range 0xc50-0xc52 has been reserved
[4294669.976000] pnp: 00:01: ioport range 0xc6c-0xc6d has been reserved
[4294669.976000] pnp: 00:01: ioport range 0xc6f-0xc6f has been reserved
[4294669.976000] PCI: Bridge: 0000:00:01.0
[4294669.976000] IO window: c000-cfff
[4294669.976000] MEM window: ec000000-ec0fffff
[4294669.976000] PREFETCH window: e8000000-ebffffff
[4294669.976000] PCI: Bridge: 0000:00:14.4
[4294669.976000] IO window: d000-dfff
[4294669.976000] MEM window: ec100000-ec1fffff
[4294669.976000] PREFETCH window: 40000000-400fffff
[4294669.977000] audit: initializing netlink socket (disabled)
[4294669.977000] audit(1146347428.975:1): initialized
[4294669.977000] highmem bounce pool size: 64 pages
[4294669.977000] VFS: Disk quotas dquot_6.5.1
[4294669.977000] Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
[4294669.977000] Initializing Cryptographic API
[4294669.977000] io scheduler noop registered
[4294669.977000] io scheduler anticipatory registered
[4294669.977000] io scheduler deadline registered
[4294669.977000] io scheduler cfq registered
[4294669.977000] isapnp: Scanning for PnP cards...
[4294670.333000] isapnp: No Plug & Play device found
[4294670.352000] PNP: PS/2 Controller [PNP0303:PS2K] at 0x60,0x64 irq 1
[4294670.352000] PNP: PS/2 controller doesn't have AUX irq; using default 12
[4294670.889000] serio: i8042 AUX port at 0x60,0x64 irq 12
[4294670.891000] serio: i8042 KBD port at 0x60,0x64 irq 1
[4294670.891000] Serial: 8250/16550 driver $Revision: 1.90 $ 48 ports, IRQ sharing enabled
[4294670.894000] RAMDISK driver initialized: 16 RAM disks of 65536K size 1024 blocksize
[4294670.894000] Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
[4294670.894000] ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
[4294670.894000] mice: PS/2 mouse device common for all mice
[4294670.898000] EISA: Probing bus 0 at eisa.0
[4294670.898000] Cannot allocate resource for EISA slot 4
[4294670.898000] EISA: Detected 0 cards.
[4294670.898000] NET: Registered protocol family 2
[4294670.928000] input: AT Translated Set 2 keyboard as /class/input/input0
[4294670.933000] IP route cache hash table entries: 32768 (order: 5, 131072 bytes)
[4294670.933000] TCP established hash table entries: 131072 (order: 8, 1572864 bytes)
[4294670.935000] TCP bind hash table entries: 65536 (order: 7, 786432 bytes)
[4294670.936000] TCP: Hash tables configured (established 131072 bind 65536)
[4294670.936000] TCP reno registered
[4294670.937000] TCP bic registered
[4294670.937000] NET: Registered protocol family 1
[4294670.937000] NET: Registered protocol family 8
[4294670.937000] NET: Registered protocol family 20
[4294670.937000] Using IPI No-Shortcut mode
[4294670.937000] ACPI wakeup devices:
[4294670.937000] PCI0 USB0 USB1 USB2 AUDO P2P PS2K
[4294670.937000] ACPI: (supports S0 S1 S4 S5)
[4294670.937000] Freeing unused kernel memory: 332k freed
[4294671.011000] vga16fb: initializing
[4294671.011000] vga16fb: mapped to 0xc00a0000
[4294671.125000] Console: switching to colour frame buffer device 80x25
[4294671.125000] fb0: VGA16 VGA frame buffer device
[4294672.293000] Capability LSM initialized
[4294672.330000] ACPI: Fan [FAN] (on)
[4294672.335000] ACPI: Processor [CPU0] (supports 8 throttling states)
[4294672.336000] ACPI: Thermal Zone [THRM] (29 C)
[4294673.073000] ATIIXP: IDE controller at PCI slot 0000:00:14.1
[4294673.073000] ACPI: PCI Interrupt 0000:00:14.1[A] -> GSI 16 (level, low) -> IRQ 185
[4294673.073000] ATIIXP: chipset revision 0
[4294673.073000] ATIIXP: not 100% native mode: will probe irqs later
[4294673.074000] ide0: BM-DMA at 0xf000-0xf007, BIOS settings: hda:DMA, hdb:pio
[4294673.074000] ide1: BM-DMA at 0xf008-0xf00f, BIOS settings: hdc:pio, hdd:DMA
[4294673.074000] Probing IDE interface ide0...
[4294673.338000] hda: SAMSUNG SP2514N, ATA DISK drive
[4294673.950000] ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
[4294673.956000] Probing IDE interface ide1...
[4294674.880000] hdd: ATAPI DVD DD 2X16X4X16, ATAPI CD/DVD-ROM drive
[4294674.932000] ide1 at 0x170-0x177,0x376 on irq 15
[4294674.943000] hda: max request size: 1024KiB
[4294674.954000] hda: 488397168 sectors (250059 MB) w/8192KiB Cache, CHS=30401/255/63, UDMA(100)
[4294674.954000] hda: cache flushes supported
[4294674.954000] hda: hda1 hda2 < hda5 >
[4294674.992000] hdd: ATAPI 40X DVD-ROM DVD-R CD-R/RW drive, 2048kB Cache, UDMA(33)
[4294674.992000] Uniform CD-ROM driver Revision: 3.20
[4294675.184000] usbcore: registered new driver usbfs
[4294675.185000] usbcore: registered new driver hub
[4294675.186000] ohci_hcd: 2005 April 22 USB 1.1 'Open' Host Controller (OHCI) Driver (PCI)
[4294675.187000] ACPI: PCI Interrupt 0000:00:13.0[A] -> GSI 19 (level, low) -> IRQ 193
[4294675.187000] ohci_hcd 0000:00:13.0: OHCI Host Controller
[4294675.199000] ohci_hcd 0000:00:13.0: new USB bus registered, assigned bus number 1
[4294675.199000] ohci_hcd 0000:00:13.0: irq 193, io mem 0xec200000
[4294675.254000] hub 1-0:1.0: USB hub found
[4294675.254000] hub 1-0:1.0: 3 ports detected
[4294675.355000] ACPI: PCI Interrupt 0000:00:13.1[A] -> GSI 19 (level, low) -> IRQ 193
[4294675.355000] ohci_hcd 0000:00:13.1: OHCI Host Controller
[4294675.367000] ohci_hcd 0000:00:13.1: new USB bus registered, assigned bus number 2
[4294675.367000] ohci_hcd 0000:00:13.1: irq 193, io mem 0xec201000
[4294675.422000] hub 2-0:1.0: USB hub found
[4294675.422000] hub 2-0:1.0: 3 ports detected
[4294675.525000] ACPI: PCI Interrupt 0000:00:13.2[A] -> GSI 19 (level, low) -> IRQ 193
[4294675.525000] ehci_hcd 0000:00:13.2: EHCI Host Controller
[4294675.525000] ehci_hcd 0000:00:13.2: new USB bus registered, assigned bus number 3
[4294675.525000] ehci_hcd 0000:00:13.2: irq 193, io mem 0xec202000
[4294675.525000] ehci_hcd 0000:00:13.2: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
[4294675.526000] hub 3-0:1.0: USB hub found
[4294675.526000] hub 3-0:1.0: 6 ports detected
[4294675.572000] usb 1-3: new low speed USB device using ohci_hcd and address 2
[4294675.736000] EXT3-fs: mounted filesystem with ordered data mode.
[4294675.759000] kjournald starting. Commit interval 5 seconds
[4294676.104000] usb 1-3: new low speed USB device using ohci_hcd and address 3
[4294676.222000] usb 1-3: device descriptor read/64, error -110
[4294685.677000] Linux agpgart interface v0.101 (c) Dave Jones
[4294685.678000] agpgart: Detected Ati IGP9100/M chipset
[4294685.684000] agpgart: AGP aperture is 64M @ 0xe4000000
[4294685.746000] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[4294685.774000] shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
[4294686.411000] usbcore: registered new driver hiddev
[4294686.422000] input: ARROW STRONG USB 3D Mouse as /class/input/input1
[4294686.422000] input: USB HID v1.00 Mouse [ARROW STRONG USB 3D Mouse] on usb-0000:00:13.0-3
[4294686.422000] usbcore: registered new driver usbhid
[4294686.422000] drivers/usb/input/hid-core.c: v2.6:USB HID core driver
[4294686.426000] Real Time Clock Driver v1.12
[4294686.446000] input: PC Speaker as /class/input/input2
[4294686.478000] ieee1394: Initialized config rom entry `ip1394'
[4294686.482000] ohci1394: $Rev: 1313 $ Ben Collins <email address hidden>
[4294686.482000] ACPI: PCI Interrupt 0000:02:06.0[A] -> GSI 18 (level, low) -> IRQ 201
[4294686.482000] PCI: Via IRQ fixup for 0000:02:06.0, from 5 to 9
[4294686.535000] ohci1394: fw-host0: OHCI-1394 1.0 (PCI): IRQ=[201] MMIO=[ec111000-ec1117ff] Max Packet=[2048]
[4294687.106000] ACPI: PCI Interrupt 0000:00:14.5[B] -> GSI 17 (level, low) -> IRQ 209
[4294687.166000] 8139too Fast Ethernet driver 0.9.27
[4294687.166000] ACPI: PCI Interrupt 0000:02:05.0[A] -> GSI 17 (level, low) -> IRQ 209
[4294687.167000] eth0: RealTek RTL8139 at 0xf8920000, 00:30:1b:b3:55:16, IRQ 209
[4294687.167000] eth0: Identified 8139 chip type 'RTL-8100B/8139D'
[4294687.192000] 8139cp: 10/100 PCI Ethernet driver v1.2 (Mar 22, 2004)
[4294687.195000] ts: Compaq touchscreen protocol output
[4294687.415000] eth0: link up, 100Mbps, full-duplex, lpa 0x41E1
[4294687.680000] Unable to find swap-space signature
[4294687.875000] EXT3 FS on hda1, internal journal
[4294687.933000] ieee1394: Host added: ID:BUS[0-00:1023] GUID[00301bb30000557a]
[4294687.974000] NET: Registered protocol family 10
[4294687.975000] lo: Disabled Privacy Extensions
[4294687.975000] IPv6 over IPv4 tunneling driver
[4294688.241000] device-mapper: 4.4.0-ioctl (2005-01-12) initialised: <email address hidden>
[4294688.263000] cdrom: open failed.
[4294688.443000] Unable to find swap-space signature
[4294689.482000] ACPI: Power Button (FF) [PWRF]
[4294689.482000] ACPI: Power Button (CM) [PWRB]
[4294689.587000] ibm_acpi: ec object not found
[4294689.612000] pcc_acpi: loading...
[4294692.626000] apm: BIOS version 1.2 Flags 0x07 (Driver version 1.16ac)
[4294692.627000] apm: overridden by ACPI.
[4294693.292000] [drm] Initialized drm 1.0.0 20040925
[4294693.315000] ACPI: PCI Interrupt 0000:01:05.0[A] -> GSI 16 (level, low) -> IRQ 185
[4294693.316000] [drm] Initialized radeon 1.19.0 20050911 on minor 0:
[4294694.256000] agpgart: Found an AGP 3.0 compliant device at 0000:00:00.0.
[4294694.256000] agpgart: Putting AGP V3 device at 0000:00:00.0 into 4x mode
[4294694.256000] agpgart: Putting AGP V3 device at 0000:01:05.0 into 4x mode
[4294694.456000] [drm] Loading R200 Microcode
[4294698.360000] eth0: no IPv6 routers present
[4298036.177000] agpgart: Found an AGP 3.0 compliant device at 0000:00:00.0.
[4298036.177000] agpgart: Putting AGP V3 device at 0000:00:00.0 into 4x mode
[4298036.177000] agpgart: Putting AGP V3 device at 0000:01:05.0 into 4x mode
[4298036.336000] [drm] Loading R200 Microcode
[4309206.557000] atkbd.c: Unknown key released (translated set 2, code 0x7f on isa0060/serio0).
[4309206.557000] atkbd.c: Use 'setkeycodes 7f <keycode>' to make it known.

Steve Bourg (reg-integrity) wrote :

This is also happening to me on Dapper Beta 2. My system is an HP nc6230. modprobe snd-seq-oss resolved the missing /dev/snd/seq but the failure still occured when clicking on the audio tab with the following message:

root@babygirl:/usr/lib/wine# winecfg
*** glibc detected *** free(): invalid pointer: 0x7c06cf70 ***
wine: Assertion failed at address 0xffffe410 (thread 0009), starting debugger...

tim_o (tle) wrote :

This problem is not happening any more. Can I close this?

tim_o (tle) wrote :

I take it back - the error still happens, unless I launch an application that runs "kdeinit" first.

It appears that winecfg dies on the audio tab unless you have kdeinit running.

Gary Coady (garycoady) on 2006-05-02
Changed in wine:
status: Unconfirmed → Confirmed
Scott Ritchie (scottritchie) wrote :

Reported/linked upstream

Simon Hepburn (sth) wrote :

http://bugs.winehq.org/show_bug.cgi?id=4051

The upstream bug report suggests a temporary workaround of renaming /usr/lib/wine/winearts.drv.so. I can confirm this works for me with ubuntu dapper.

Caroline Ford (secretlondon) wrote :

I can confirm this is still a bug.

I get the following when run as a normal user:

ALSA lib seq_hw.c:456:(snd_seq_hw_open) open /dev/snd/seq failed: No such file or directory
Link points to "/tmp/ksocket-username"
can't create mcop directory

And the following when run as sudo:

ALSA lib seq_hw.c:456:(snd_seq_hw_open) open /dev/snd/seq failed: No such file or directory
Creating link /root/.kde/socket-machinename.
can't create mcop directory

I'm using 6.06 LTS Dapper Drake using Gnome but with Kubuntu-Desktop installed.

Stephan Rügamer (sruegamer) wrote :

Dear Reporter,

is this still happening with latest edgy version of wine?

\sh

Changed in wine:
status: Confirmed → Unconfirmed
Stephan Rügamer (sruegamer) wrote :

grmpf, my mistake

Changed in wine:
assignee: nobody → shermann
status: Unconfirmed → Confirmed
François Cauwe (fcauwe) wrote :

It's still happening:

swatje@Titan:~$ winecfg
Warning: Language 'de_BE' was not recognized, defaulting to 'de_DE'.
Warning: Language 'de_BE' was not recognized, defaulting to 'de_DE'.
Warning: Language 'de_BE' was not recognized, defaulting to 'de_DE'.
libGL warning: 3D driver claims to not support visual 0x4b
ALSA lib seq_hw.c:457:(snd_seq_hw_open) open /dev/snd/seq failed: No such file or directory
Creating link /home/swatje/.kde/socket-Titan.
can't create mcop directory

The weird thing is that i'm using gnome... But i have some kde libs installed.

François Cauwe (fcauwe) wrote :

What I forgot to say:
swatje@Titan:~$ wine --version
Wine 0.9.21

And "mkdir ~/.kde/socket-Titan" Fixes the problem, where Titan is your hostname I guess.

Stephan Rügamer (sruegamer) wrote :

The version issue is fixed in 0.9.22-0ubuntu2

the other issue...do you have arts installed?

Regards,
\sh

Scott Ritchie (scottritchie) wrote :

The bug is in the arts driver itself, which is crashing when being called by Wine. There is a fix to this for arts itself, however it needs to be committed and backported.

https://launchpad.net/distros/ubuntu/+source/arts/+bug/55973

pirast (pirast) wrote :

This works fine in Feisty with Wine 0.9.30-0ubuntu3.

Martin

rdhddmazoku (rdhddmazoku) wrote :

I had the same problem that I fixed by installing wines packages instead. I prefer to use the actual makers packages over ubuntus in certain cases like this. Less problems.

Stephan Rügamer (sruegamer) wrote :

Works in feisty with 0.9.33 and 0.9.34 (not yet uploaded)

Changed in wine:
status: Confirmed → Fix Released
Scott Ritchie (scottritchie) wrote :

Wine 0.9.35 came out today, and I've already uploaded it. 0.9.35 should squash this bug forever, as the entire (broken) aRts driver has been removed, which was the source of this bug to begin with.

I recommend upgrading to 0.9.35 if you run into this again, as well as putting it into Feisty :)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.